# DataExchange
TKXDESTEP
STEPCAFControl

# STEPCAFControl_DataMapIteratorOfDataMapOfShapeSDR Class Reference

`#include <STEPCAFControl_DataMapIteratorOfDataMapOfShapeSDR.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | STEPCAFControl_DataMapIteratorOfDataMapOfShapeSDR ()
Standard_EXPORT | STEPCAFControl_DataMapIteratorOfDataMapOfShapeSDR (const STEPCAFControl_DataMapOfShapeSDR &aMap)
Standard_EXPORT void | Initialize (const STEPCAFControl_DataMapOfShapeSDR &aMap)
Standard_EXPORT const TopoDS_Shape & | Key () const
Standard_EXPORT const Handle_StepShape_ShapeDefinitionRepresentation & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT STEPCAFControl_DataMapIteratorOfDataMapOfShapeSDR::STEPCAFControl_DataMapIteratorOfDataMapOfShapeSDR | ( |  | ) |

Standard_EXPORT STEPCAFControl_DataMapIteratorOfDataMapOfShapeSDR::STEPCAFControl_DataMapIteratorOfDataMapOfShapeSDR | ( | const STEPCAFControl_DataMapOfShapeSDR & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void STEPCAFControl_DataMapIteratorOfDataMapOfShapeSDR::Initialize | ( | const STEPCAFControl_DataMapOfShapeSDR & | aMap | ) |

Standard_EXPORT const TopoDS_Shape& STEPCAFControl_DataMapIteratorOfDataMapOfShapeSDR::Key | ( |  | ) | const

void STEPCAFControl_DataMapIteratorOfDataMapOfShapeSDR::operator delete | ( | void * | anAddress | ) | `[inline]`

void* STEPCAFControl_DataMapIteratorOfDataMapOfShapeSDR::operator new | ( | size_t | size | ) | `[inline]`

void* STEPCAFControl_DataMapIteratorOfDataMapOfShapeSDR::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_StepShape_ShapeDefinitionRepresentation& STEPCAFControl_DataMapIteratorOfDataMapOfShapeSDR::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- STEPCAFControl_DataMapIteratorOfDataMapOfShapeSDR.hxx